Lavalite package that provides litecm management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `faqs/litecm`.

    "faqs/litecm": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Faqs\Litecm\Providers\LitecmServiceProvider::class,

And also add it to alias

    'Litecm'  => Faqs\Litecm\Facades\Litecm::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Faqs\\Litecm\\Seeders\\LitecmTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Faqs\Litecm\Providers\LitecmServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Faqs\Litecm\Providers\LitecmServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Faqs\Litecm\Providers\LitecmServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/litecm/{modulename}

**User**

    http://path-to-route-folder/user/litecm/{modulename}

**Public**

    http://path-to-route-folder/litecms


### API endpoints

**List**

    http://path-to-route-folder/api/user/litecm/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/litecm/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/litecm/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/litecm/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/litecm/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/litecm/{modulename}/{slug}
    METHOD: GET